#include <configs/zynq-common.h>
#include <configs/platform-auto.h>

/* Extra U-Boot Env settings */
#define CONFIG_EXTRA_ENV_SETTINGS                                       \
    "custom_board_name=\"Zynq Scalp Board\"\0"                          \
    "custom_board_version=\"RevB 2008\"\0"                              \
    "custom_board_vendor=\"Hepia CoRES - LSN\"\0"                       \
    "SCALP_BOOT_PARTITION_OFFSET=0x0\0"                                 \
    "SCALP_BOOT_PARTITION_SIZE=0x500000\0"                              \
    "SCALP_BOOTENV_PARTITION_OFFSET=0x500000\0"                         \
    "SCALP_BOOTENV_PARTITION_SIZE=0x20000\0"                            \
    "SCALP_FITIMAGE_PARTITION_OFFSET=0x520000\0"                        \
    "SCALP_FITIMAGE_PARTITION_SIZE=0x1AC0000\0"                         \
    "SCALP_FITIMAGE_LOAD_OFFSET=0x2000000\0"                            \
    "SCALP_DTB_PARTITION_OFFSET=0x1AC0000\0"                            \
    "SCALP_DTB_PARTITION_SIZE=0x20000\0"                                \
    "load_scalp_fitimage=sf probe 0 0 0 && sf read ${SCALP_FITIMAGE_LOAD_OFFSET} ${SCALP_FITIMAGE_PARTITION_OFFSET} ${SCALP_FITIMAGE_PARTITION_SIZE}\0" \
    "macmemaddr=0x1000000\0"                                            \
    "readmac=i2c dev 0; i2c read 0x53 0xfa.1 6 ${macmemaddr}\0"         \
    "buildmac=\n"                                                       \
    "e=\" 02:00:00\"; sep=\":\"\n"                                      \
    "for i in 3 4 5 ; do\n"                                             \
    "setexpr x ${macmemaddr} + $i\n"                                    \
    "setexpr.b b *$x\n"                                                 \
    "e=\"$e$sep$b\"\n"                                                  \
    "sep=\":\"\n"                                                       \
    "done &&\n"                                                         \
    "setenv ethaddr $e\0"                                               \
    "buildip=\n"                                                        \
    "e=\" 10\"; sep=\".\"\n"                                            \
    "for i in 3 4 5 ; do\n"                                             \
    "setexpr x ${macmemaddr} + $i\n"                                    \
    "setexpr.b b *$x\n"                                                 \
    "e=\"$e$sep${b_ulong}\"\n"                                          \
    "sep=\".\"\n"                                                       \
    "done &&\n"                                                         \
    "setenv ipaddr $e &&\n"                                             \
    "setenv bootargs \"ip=${ipaddr}:::::eth0\"\0"                       \
    "setup_eth=run readmac buildmac buildip\0"                          \
    "boot_from_qspi=run setup_eth && run load_scalp_fitimage && iminfo ${SCALP_FITIMAGE_LOAD_OFFSET} && bootm ${SCALP_FITIMAGE_LOAD_OFFSET}\0" \
    "custom_autoboot=echo Scalp board autoboot && sja1105 init && run boot_from_qspi\0" \
    "baudrate=115200\0"                                                 \
    "bootargs=ip=${ipaddr}:::::eth0\0"                                  \
    "bootdelay=2\0"                                                     \
    "bootcmd=run custom_autoboot\0"                                     \
    "distro_bootcmd=run bootcmd\0"                                      \
